Arch Window

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Window and the translation is 35% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Reference.svg Reference

Arch Window.svg Arch Window

Расположение в меню
Архитектура → Окно
Верстаки
Arch
Быстрые клавиши
W I
Представлено в версии
-
См. также
Стена, Arch Add


Описание

Window (окно) это базовый объект для всех типов "внедряемых" объектов, таких как окна, двери и т.д... Он спроектирован так, что может быть и независим, и "базироваться" на другом компоненте вроде стены. У него своя собственная геометрия, которая может быть сделана из нескольких твердотельных компонентов (например, оконная рама или внутренняя панель), и определяет объём, которые будет вычитаться из базового объекта, чтобы сделать проём.

Объекты Window базируются на замкнутых двумерных объектах, вроде прямоугольников или эскизов, которые используются для определения их внутренних компонентов. Базовые двумерные объекты должны, следовательно, содержать несколько замкнутых многоугольников, которые могут быть скомбинированы для создания заполненных панелей (один многоугольник) или рамок (несколько многоугольников).

Инструмент window предлагает несколько предустановок, которые позволяют создать окно или дверь по списку параметров, без необходимости создавать вручную двумерные объекты и компоненты. Но окра можно сделать с нуля, нарисовав сначала двумерный объект.

Вся информация, применимая к Arch Window, также относится к Arch Door, поскольку это один и тот же базовый объект. Основное различие между окном и дверью состоит в том, что у двери есть внутренняя панель, которая показана непрозрачной (сама дверь), в то время как окно имеет частично прозрачную панель (стекло).

Arch Window example.jpg

Window constructed on top of a Draft Rectangle, then inserted into an Arch Wall. Using the Arch Add operation automatically cuts a correct opening in the host wall.


Arch Window example2.jpg

Complex window being constructed on top of a Sketch. When entering the window's edit mode you can create different components, set their thickness, and select and assign wires from the sketch to them.


Использование

Использование предустановок

  1. По желанию, выделите объект Arch. Если объект не выделен, при установке окно будет вставлено в объект под мышью.
  2. Нажмите кнопку Arch Window.svg Окно, или нажмите клавиши W, затем I
  3. Выберите предустановку из списка
  4. Заполните желаемые параметры
  5. Нажмите кнопку OK

Note: if you install the "Parts Library" from the AddonManager, the window tool will search this library for additional presets. These presets are FreeCAD files containing a single window based on a parametric sketch that has named constrains. You may place additional presets in the parts_library directory so that they are found by the window tool.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

The $ROOT_DIR is the user's directory where FreeCAD configuration, macros, and external workbenches are stored.

  • On Linux it is usually /home/username/.FreeCAD/
  • On Windows it is usually C:\Users\username\Application Data\FreeCAD\
  • On Mac OSX it is usually /Users/username/Library/Preferences/FreeCAD/

Создание с нуля

  1. По желанию, выделите грань объекта, где Вы хотите вставить окно
  2. Переключитесь на верстак Sketcher
  3. Создайте новый эскиз
  4. Нарисуйте одну или более замкнутых ломаных
  5. Закройте эскиз
  6. Переключитесь обратно на верстак Arch
  7. Нажмите кнопку Arch Window.png Arch Window, или нажмите клавиши W, затем I
  8. Войдите в режим редактирования двойным кликом на окне в древе проектов, для настройки компонентов окна

Note: when creating the sketch, pay close attention to the creation order of the loops; the numbering of the "wires" in the task panel ("Window elements") depends on this.

Предустановки

Доступны следующие предустановки:

Создание компонентов

Окна могут включать два типа компонентов: панели и рамы. Панели делаются из замкнутых ломаных, которые выдавливаются, в то время как рамы делаются из двух и более замкнутых ломаных, где каждый выдавливается, затем меньший вычитается из большего. Вы можете иметь доступ, создавать, модифицировать и удалять компоненты в окне в режиме редактирования (дважды кликнув по окну в древе проекта). У компонента имеются следующие параметры:

  • Name: имя компонента
  • Type: тип компонента. Может быть "Frame", "Glass panel", "Solid panel" или "Louvres"
  • Wires: разделяемый запятыми список ломаных, на которых базируется компонент
  • Thickness: толщина выдавливания компонента
  • Offset: расстояние между компонентом и его базовой ломанной

Arch Window options.jpg

Опции

  • Окно разделяет общие параметры и действие со всеми компонентами Arch
  • Если метка Auto-include на панели задач создания окна не отмечена, окно не будет вставлено в базовый объект при создании.
  • Добавить выделенное окно в стену, выделив оба и нажатием кнопки Arch Add.png Arch Add.
  • Убрать выбранное окно из стены выделив окно, затем нажав кнопку Arch Remove.png Arch Remove.
  • При использовании предустановок часто полезно включить привязку "Near", чтобы Вы смогли привязать окно к существующей грани.
  • Отверстие, создаваемое окном в базовом объекте, определяется двумя параметрами: Hole Depth и Hole Wire (introduced in version 0.17). Число Hole Wire может быть получено в трёхмерном окне из панели задач окна, доступной при двойном клике на окне в древе проектов
  • Окна могут использовать Multi-Materials. Окно ищет в присоединённом Multi-Material слои материала с теми же именами для каждого компонента окна, и используют их при нахождении. Например, компонент под названием "OuterFrame" ищет в приложеннном Multi-Material материальный слой под именем "OuterFrame". Если этот слой найден, его материал будет назначен компоненту OuterFrame. Значение толщины слоя материала отбрасывается.

Openings

See also: Tutorial for open windows

Двери и окна могут отображаться частично или полностью открытыми в 3D-модели или могут отображать открывающие символы как в плане, так и в области высоты. Следовательно, они также появятся в извлеченных 2D-представлениях, сгенерированных Draft Shape2DView или TechDraw Workbench или Drawing Workbench. Чтобы получить это, по крайней мере один из компонентов окна должен иметь шарнир и режим открытия (см. #Building components выше). Затем, используя свойства Открытие,Symbol Plan или Symbol Elevation, вы можете настроить внешний вид окна:

Arch window openings.png

A door showing the symbol plan, symbol elevation and opening properties at work


Параметры

  • DATAHeight: Высота окна
  • DATAWidth: Ширина окна
  • DATAHole Depth: Глубина углубления, созданного окном в базовом объекте
  • DATAHole Wire: Номер многоугольника, используемого для создания проёма окна. Значение может быть установлено графически двойным кликом на окне в древе проекта. Если установить значение в ноль, для проёма будет автоматически браться наибольший многоугольник.
  • DATAWindow Parts: Список струн (5 струн на компонент, установка опций компонента выше)
  • DATALouvre Width: Если какой-либо из компонентов установлен в "Louvres (жалюзи)", этот параметр определяет размер элементов жалюзи
  • DATALouvre Spacing: Если какой-либо из компонентов установлен в "Louvres (жалюзи)", этот параметр определяет пробел между элементами жалюзи

Сценарии

Инструмент создания окон может использоваться в макросах и их консоли python, с использованием следующих функций:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
создаёт окно на базе данного объекта

Пример:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

You can also create a Window from a preset.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)

Arch Window example2.jpg

Example:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)